toolzerhub API Docs

Get listing details

Get an Airbnb listing's description, amenities, host information, and ratings.

1 credit / requestBilled only on success
GET
/v1/airbnb/stay/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

stay_id*string

Listing ID from the id field in a stay search result. An unknown ID returns data: null.

Match^\d{1,20}$
curl -X GET "https://example.com/v1/airbnb/stay/detail?stay_id=4518031" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "string",    "url": "string",    "name": "string",    "description_html": "string",    "property_type": "string",    "space_type": "string",    "person_capacity": 0,    "coordinate": {      "latitude": 0,      "longitude": 0    },    "overview": [      "string"    ],    "amenities": [      {        "title": "string",        "available": true,        "group": "string"      }    ],    "highlights": [      {        "headline": "string",        "body": "string",        "type": "string"      }    ],    "host": {      "name": "string",      "is_superhost": true,      "is_verified": true,      "profile_picture": "string",      "reviews": 0,      "rating": 0,      "years_hosting": 0,      "response_rate": "string",      "response_time": "string"    },    "rating": {      "score": 0,      "reviews": 0,      "categories": {        "property1": 0,        "property2": 0      }    }  }}